StackedDataPoint (Hyperic HQ Plugin API)
Keywords: org.hyperic.image.chart.StackedDataPoint class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.image.chart
Class StackedDataPoint

    java.lang.Object
      org.hyperic.image.chart.DataPoint
          org.hyperic.image.chart.StackedDataPoint

All Implemented Interfaces:
  IDataPoint, IDisplayDataPoint, IStackedDataPoint

    public class StackedDataPoint

extends DataPoint
implements IStackedDataPoint

Constructor Summary
`StackedDataPoint(double[] values)` Constructs a StackedDataPoint object with the specified value and an empty label.
`StackedDataPoint(double[] values, java.lang.String label)` Constructs a DataPoint object with the specified value and and specified label.

Method Summary
`double[]` | `getValues()` Retrieves the value of a chart data point.
`void` | `setValue(double value)` Sets the value of a chart data point.

Methods inherited from class org.hyperic.image.chart.DataPoint
`equals, getLabel, getTimestamp, getValue, setLabel`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hyperic.util.data.IDisplayDataPoint
`getLabel, getTimestamp`

Methods inherited from interface org.hyperic.util.data.IDataPoint
`getValue`

Constructor Detail

### StackedDataPoint

    public StackedDataPoint(double[] values)

  Constructs a StackedDataPoint object with the specified value and an empty label.

  Parameters:
    `value` - A floating point value for the object data point.

### StackedDataPoint

    public StackedDataPoint(double[] values,
                            java.lang.String label)

  Constructs a DataPoint object with the specified value and and specified label.

  Parameters:
    `value` - A floating point value for the object's data point.
    `label` - A String label for the object's data point.

Method Detail

### getValues

    public double[] getValues()

  Retrieves the value of a chart data point. The label is displayed on the X axis for stacked performance charts.

  Specified by:
    `getValues` in interface `IStackedDataPoint`
  Returns:
    A floating point value for a chart data point.

### setValue

    public void setValue(double value)

  Description copied from class: `DataPoint`
  Sets the value of a chart data point. The data point is charted on the Y axis for line and column charts.

  Overrides:
    `setValue` in class `DataPoint`
  Parameters:
    `value` - A floating point value for a chart data point.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.